gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A structure to manage an array of points (X and Y coordinates). To be added
- Constructor
  2.24.0.0
  array of coordinates (num_points * 2 in size), X coordinates are stored in the even-numbered indices, and Y coordinates are stored in the odd-numbered indices.
  Creates canvas points from x and y coordinates stored in array.
  // LineExample.cs - Displays triangle using gnome canvas // Compile: mcs -r gtk-sharp.dll -r gnome-sharp.dll LineExample.cs

  namespace GnomeSamples {

  using System; using Gtk; using Gnome;

  public class LineExample {

  public static int Main (string[] args) { Application.Init ();

  Gtk.Window win = new Gtk.Window ("Canvas line example"); win.DeleteEvent += new DeleteEventHandler (Window_Delete);

  Canvas canvas = new Canvas (); win.Add (canvas); CanvasLine line = new CanvasLine (canvas.Root ()); line.Points = new CanvasPoints (new double[]{40,0, 0,80, 80,80, 40,0});

  win.ShowAll (); Application.Run (); return 0; }

  static void Window_Delete (object obj, DeleteEventArgs args) { Application.Quit (); args.RetVal = true; } } }

- Constructor
  2.24.0.0
  a
  To be added
  To be added
- Constructor
  2.24.0.0
  a
  To be added
  To be added
- Method
  2.24.0.0
  System.Void To be added. To be added.
- Method
  2.24.0.0
  System.Obsolete("Gnome.CanvasPoints is now freed automatically")
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  System.Obsolete("Gnome.CanvasPoints is now refcounted automatically")
  Gnome.CanvasPoints To be added To be added: an object of type 'Gnome.CanvasPoints' To be added
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.